<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.messaging-activemq.jms-bridge">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="add-messageID-in-header,client-id,failure-retry-interval,max-batch-size,max-batch-time,max-retries,module,quality-of-service,selector,subscription-name,source-connection-factory,source-context,source-credential-reference,source-destination,source-password,source-user,target-connection-factory,target-context,target-credential-reference,target-destination,target-password,target-user"/>
        <elem name="addr-params" value="profile,subsystem,jms-bridge"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.messaging-activemq"/>
    </annotation>
    <refs>
        <ref feature="subsystem.messaging-activemq"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="target-destination"/>
        <param name="source-connection-factory"/>
        <param name="subsystem" feature-id="true" default="messaging-activemq"/>
        <param name="max-retries" nillable="true"/>
        <param name="source-user" nillable="true"/>
        <param name="target-password" nillable="true"/>
        <param name="source-context" nillable="true"/>
        <param name="target-credential-reference" nillable="true"/>
        <param name="add-messageID-in-header" nillable="true"/>
        <param name="failure-retry-interval" nillable="true"/>
        <param name="subscription-name" nillable="true"/>
        <param name="selector" nillable="true"/>
        <param name="source-destination"/>
        <param name="max-batch-time" nillable="true"/>
        <param name="client-id" nillable="true"/>
        <param name="quality-of-service" nillable="true"/>
        <param name="module"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="target-connection-factory"/>
        <param name="max-batch-size" nillable="true"/>
        <param name="jms-bridge" feature-id="true"/>
        <param name="target-user" nillable="true"/>
        <param name="source-password" nillable="true"/>
        <param name="source-credential-reference" nillable="true"/>
        <param name="target-context" nillable="true"/>
    </params>
</feature-spec>